Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81827 - Segmentation fault by rebuilding of perl-5.6.1-26.72.3.src.rpm on Linux390
Summary: Segmentation fault by rebuilding of perl-5.6.1-26.72.3.src.rpm on Linux390
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: perl
Version: 7.2
Hardware: s390
OS: Linux
high
high
Target Milestone: ---
Assignee: Chip Turner
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-14 12:10 UTC by Need Real Name
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-05-16 17:22:59 UTC


Attachments (Terms of Use)

Description Need Real Name 2003-01-14 12:10:42 UTC
Description of problem:
rpm --rebuild perl-5.6.1-26.72.3.src.rpm on Linux390 causes:

(...)
op/study.............FAILED at test 0
(...)

running
  ./perl harness
in 
  /usr/src/redhat/BUILD/perl-5.6.1/t

results in:

(...)
  op/study............dubious
          Test returned status 0 (wstat 11, 0xb)
(...)


How reproducible:
The problem occurs by testing op/study.t

we run
  ./perl op/study.t
and get

1..24
ok 1
ok 2
Segmentation fault

Everytime we run perl 5.6.1 using study.t or start our application we can see
following in /var/log/messages:

Jan 14 12:53:37 vsysad01 kernel: User process fault: interruption code 0x10
Jan 14 12:53:37 vsysad01 kernel: failing address: 0
Jan 14 12:53:37 vsysad01 kernel: CPU:    0    Tainted: P
Jan 14 12:53:37 vsysad01 kernel: Process perl (pid: 15530, task: 01070000, ksp:
01071e78)
Jan 14 12:53:37 vsysad01 kernel: User PSW : 070de000 804ab796
Jan 14 12:53:37 vsysad01 kernel: User GPRS: 00300001 ffffffff 00000000 00000000
Jan 14 12:53:37 vsysad01 kernel:            00000000 00000006 7ffff718 004e1278
Jan 14 12:53:37 vsysad01 kernel:            004dc8f0 004d9160 004d9160 004e1278
Jan 14 12:53:37 vsysad01 kernel:            00000003 804ab3e0 80461f60 7ffff6b0
Jan 14 12:53:37 vsysad01 kernel: User ACRS: 00000000 00000000 00000000 00000000
Jan 14 12:53:37 vsysad01 kernel:            00000000 00000000 00000000 00000000
Jan 14 12:53:37 vsysad01 last message repeated 2 times
Jan 14 12:53:37 vsysad01 kernel: User Code: 58 60 20 04 58 30 f0 84 58 20 d0 24
58 40 30 00 58 30 20 00



Additional info:
perl-5.6.1-26.72.3a.src.rpm does not solve our problem!
If we run our application using perl 5.6.1 this fault occurs too. So just
bypassing the test like in .72.3a release doesn't make us lucky! :-(

This problem does not occur on x86 plattform.


diff of perl.spec in perl-5.6.1-26.72.3.src.rpm and perl-5.6.1-26.72.3a.src.rpm:

--- perl.spec   Wed Feb 20 20:54:45 2002
+++ perl.spec.a Sun Mar 10 21:01:51 2002
@@ -9,7 +9,7 @@
 %define threading  0
 %define largefiles 0
 %define ndbm       1
-%define rhrelease  .72.3
+%define rhrelease  .72.3a
 %endif

 %define perlver 5.6.1
@@ -265,7 +265,7 @@

 make -f Makefile

-%ifnarch ia64
+%ifnarch ia64 s390 s390x
 make -f Makefile test
 %endif

Please help!
Thanks in advance and best regards

Jan As

Comment 1 Florian La Roche 2003-02-15 12:34:58 UTC
Some tests _want_ to have a seg-fault, so you have to look into the tests
to see what is going on. Also the current perl seems to run these tests
without excluding them.

greetings,

Florian La Roche


Comment 2 Need Real Name 2003-02-17 08:53:57 UTC
Sorry! I don't agree to.

On x86 Plattform the test pass.

1..24
ok 1
ok 2
(...)
ok 23
ok 24

By editing of .rpmrc:
optflags: s390 -O0

I turn off the optimizing compilation.
After rebuild of perl rpm the test pass on s390, too.
But this is a bypass only! I want use the default optimizing -O2 for better
performace.

Customer needs perl-5.6.1 exactly. So we can not use perl-5.6.0 or perl-5.8.0.

Thanks and best regards

Jan As


Comment 3 Florian La Roche 2003-05-16 17:22:59 UTC
I suggest building this then with -O0 if no perl update is
allowed. Current perl rpm builds with all tests passing AFAIK.

Thanks for this bug report,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.